package com.community.huiju.controller;

import com.community.huiju.config.entity.UserElement;
import com.community.huiju.model.ScUser;
import com.community.huiju.service.ScUserServiceI;
import com.community.huiju.microController.MicroTestController;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.cloud.context.config.annotation.RefreshScope;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.ResponseBody;
import org.springframework.web.bind.annotation.RestController;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpSession;
import java.util.Arrays;
import java.util.List;

/**
 * @author FXF
 * @date 2018-09-11
 */
@RestController
@RefreshScope
@RequestMapping("/client2")
@Api("eureka-client2的测试controller的API")
@Slf4j
public class TestController {
    
    @Autowired
    private ScUserServiceI scUserService;
    
    @Autowired
    private MicroTestController microTestController;
    
    /**
     * 获取所有的用户信息
     * @return
     */
    @ApiOperation(value = "测试restful接口", notes = "测试接口2")
    @RequestMapping(value = "/user",method = RequestMethod.GET)
    @ResponseBody
    public List<ScUser> getUser(){
        return scUserService.getUser();
    }
    
    @RequestMapping(value = "/feignUser",method = RequestMethod.GET)
    @ResponseBody
    public List<ScUser> getMicroUser(){
        return microTestController.getUser();
    }

    /**
     * 测试session
     * @param request
     * @param session
     * @return
     */
    @RequestMapping(value = "/getUserElement",method = RequestMethod.GET)
    public UserElement getUserElement(HttpServletRequest request, HttpSession session){
        log.info("sessionId: {}", session.getId());
        UserElement userElement = new UserElement();
        userElement.setId(1);
        userElement.setEmail("907147608@qq.com");
        userElement.setUserName("weiximei");
        userElement.setLoginName("weiximei");
        userElement.setStatus("1");
        return userElement;
    }
}
